/***************************************************************************
	file:			eeprom_config.h
	product:	API-004
	descr:		DCOnfig Datei fuer API-004 - EEPROM Ansteuerung.
						
						Mehr Infos findes du in eeprom.h und auf stack2Learn.de

	date: 		10.2013 - first release

	version 	1.0
	compiler:	Keil Cx51 V9.05

	mc:				AT89C5131A
	crystal:	24MHz

	author: 	Viktor Schabelski info@approbe.de
	licence:	Creative Commons Lizenz
                http://www.stack2Learn.de/cc.html
**************************************************/


# ifndef _EEPROM_CONFIG_H
	# define _EEPROM_CONFIG_H

/*-----------------------------------------------------------------------------
	includes
---------------------------------------------------*/
//#include <at89c5131.h>




/*-----------------------------------------------------------------------------
	keil editor wizard
---------------------------------------------------*/
//<<< Use Configuration Wizard in Context Menu >>>
// <h> Modul
// <o> verwendeter stack2Learn Modul
//					<0x01=> I2C-006 1k EEPROM AT24C01B
//					<0x02=> I2C-007 64k EEPROM M24C64
#define EEPROM_MODUL	0x01

#define I2C_006_EEPROM 0x01
#define I2C_007_EEPROM 0x02

// Kenndaten von I2C-006 1k EEPROM mit AT24C01B
#if EEPROM_MODUL == I2C_006_EEPROM
// Anzahl von Adressen in EEPROM
#define EEPROM_NUMBER_OF_ADDRESS 128


// Kenndaten von I2C-007 64k EEPROM mit M24C64
#elif EEPROM_MODUL == I2C_007_EEPROM
// Anzahl von Adressen in EEPROM
#define EEPROM_NUMBER_OF_ADDRESS 0x2000

#endif

// </h>

// <h> Slave Adresse
// <o.1> Jumper A0
//				<0x00=> 0x00
//				<0x01=> 0x01
// <o.2> Jumper A1
//				<0x00=> 0x00
//				<0x01=> 0x01
// <o.3> Jumper A2
//				<0x00=> 0x00
//				<0x01=> 0x01
//<i> Slave Adresse des Bausteins
#define EEPROM_SLAVE_ADDRESS 0xA0
		

// </h>

// end of configuration section >>>







#endif